import bottle

@bottle.get('/login')
def login():
    del bottle.request.cookies['name']
    if 'name' in bottle.request.cookies:
        name = bottle.request.cookies['name']
    else:
        name = 'guest'
    return """ Hello """ + name + """
    <form action="" method="post">
        <input type="text" name="user"/>
        <input type="password" name="pass"/>
        <input type="submit" />
    </form>
    """

@bottle.post('/login')
def post_login():
    print(bottle.request.forms['user'])
    bottle.response.set_cookie('name', bottle.request.forms['user'])
    return "lol"

@bottle.get('/secret')

bottle.run()

# Créer le formulaire de login
# Afficher le login qui arrive en post
# Améliorer pour demander et afficher le prénom en post
# Comment l’afficher sur les autres pages ?
# -> Set le cookie
# Afficher le cookie
# Se déconnecter
# Vérifier que l’utilisateur est valide à la connexion
# Modifier le cookie à la main
# Comment protéger une page sercrete ?

# Devoirs
# Créer un formulaire qui demande ses notes à une personne et qui en affiche la moyenne
# Créer un formulaire qui demande la matière préférée d’une personne et qui indique en réponse si c’est aussi la vôtre.
